## kdepim-runtime 4.11.2

=== CMakeLists.txt ===
project(kdepim-runtime)

# where to look first for cmake modules. This line must be the first one or cmake will use the system's FindFoo.cmake
set(CMAKE_MODULE_PATH ${kdepim-runtime_SOURCE_DIR}/cmake/modules)

add_definitions( -DDISABLE_NEPOMUK_LEGACY )

############### KDEPIM-Runtime version ################
# KDEPIM_RUNTIME_VERSION
# Version scheme: "x.y.z build".
#
# x is the version number.
# y is the major release number.
# z is the minor release number.
#
# "x.y.z" follow the kdelibs version kdepim is released with.
#
# If "z" is 0, it the version is "x.y"
#
# KDEPIM_RUNTIME_DEV_VERSION
# is empty for final versions. For development versions "build" is
# something like "pre", "alpha1", "alpha2", "beta1", "beta2", "rc1", "rc2".
#
# Examples in chronological order:
#
#    3.0
#    3.0.1
#    3.1 alpha1
#    3.1 beta1
#    3.1 beta2
#    3.1 rc1
#    3.1
#    3.1.1
#    3.2 pre
#    3.2 alpha1

if(NOT DEFINED KDEPIM_RUNTIME_DEV_VERSION)
    set(KDEPIM_RUNTIME_DEV_VERSION "")
endif()

set(KDEPIM_RUNTIME_VERSION "4.11.2${KDEPIM_RUNTIME_DEV_VERSION}")

############### search-related options ################
option(KDEPIM_NO_NEPOMUK "Build without nepomuk dependency" FALSE)

if(KDEPIM_NO_NEPOMUK)
  add_definitions(-DKDEPIM_NO_NEPOMUK)
endif()	

add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

############### search packages used by KDE ###############

# Kdelibs
find_package(KDE4 4.10.0 REQUIRED)
include(KDE4Defaults)

# KdepimLibs
find_package(KdepimLibs 4.11.0)
set_package_properties(KdepimLibs PROPERTIES DESCRIPTION "The KDEPIM libraries" URL "http://www.kde.org" TYPE REQUIRED)

#Boost
# Don't use BoostConfig.cmake
set(Boost_NO_BOOST_CMAKE TRUE)
find_package(Boost 1.34.0)
set_package_properties(Boost PROPERTIES DESCRIPTION "Boost C++ Libraries" URL "http://www.boost.org" TYPE REQUIRED PURPOSE "Boost is required by Akonadi")

# Akonadi
find_package(Akonadi 1.9.80 QUIET CONFIG)
set_package_properties(Akonadi PROPERTIES DESCRIPTION "Akonadi server libraries" URL "http://pim.kde.org/akonadi" TYPE REQUIRED PURPOSE "Access to PIM storage and services")

# shared-mime-info
find_package(SharedMimeInfo 0.30)
set_package_properties(SharedMimeInfo PROPERTIES DESCRIPTION "The shared-mime-info utility" URL "http://freedesktop.org/wiki/Software/shared-mime-info" TYPE REQUIRED PURPOSE "Information about filetypes")

# libxml
find_package(LibXml2)
set_package_properties(LibXml2 PROPERTIES DESCRIPTION "The LibXML2 library" URL "http://xmlsoft.org" TYPE OPTIONAL PURPOSE "Needed for building the knut Akonadi resource.")

if(NOT KDEPIM_NO_NEPOMUK)
  find_package(SharedDesktopOntologies 0.11)
  set_package_properties(SharedDesktopOntologies PROPERTIES DESCRIPTION "Shared Desktop Ontologies" URL "http://sourceforge.net/projects/oscaf/" TYPE REQUIRED PURPOSE "Ontologies necessary for the Nepomuk semantic desktop")

  find_package(Soprano 2.9)
  set_package_properties(Soprano PROPERTIES DESCRIPTION "C++/Qt4 framework for RDF data" URL "http://soprano.sourceforge.net" TYPE REQUIRED PURPOSE "Storage of semantic data")

  find_package(NepomukCore QUIET CONFIG)
  set_package_properties(NepomukCore PROPERTIES DESCRIPTION "Nepomuk core libraries"  URL "http://www.kde.org" TYPE REQUIRED PURPOSE "Nepomuk extends the search and tagging functionalities in KMail and Akonadi")
else()
  message(STATUS "Skipping detection of Nepomuk dependencies, feature is disabled.")
endif()

if(AKONADI_USE_STRIGI_SEARCH)
  find_package(Strigi)
  set_package_properties(Strigi PROPERTIES DESCRIPTION "Strigi" URL "https://projects.kde.org/strigi" TYPE REQUIRED)
endif()

# Libkolab
find_package(Libkolab 0.2 QUIET CONFIG)
set_package_properties(Libkolab PROPERTIES DESCRIPTION "libkolab" URL "http://mirror.kolabsys.com/pub/releases" TYPE OPTIONAL PURPOSE "The Kolab Format libraries are required to build the Kolab Groupware Resource")

# Libkolabxml
find_package(Libkolabxml QUIET CONFIG)
set_package_properties(Libkolabxml PROPERTIES DESCRIPTION "Kolabxml" URL "http://mirror.kolabsys.com/pub/releases" TYPE OPTIONAL PURPOSE "The Kolab XML Format Schema Definitions Library is required to build the Kolab Groupware Resource")

# Libkgapi2
find_package(LibKGAPI2 1.9.81 QUIET CONFIG)
set_package_properties(LibKGAPI2 PROPERTIES DESCRIPTION "KDE-based library for accessing various Google services" URL "https://projects.kde.org/libkgapi" TYPE OPTIONAL PURPOSE "LibKGAPI is required to build Akonadi resources to access Google Contacts, Calendars and Tasks")

# Libkfbapi
find_package(LibKFbAPI 1.0 QUIET CONFIG)
set_package_properties(LibKFbAPI PROPERTIES DESCRIPTION "A library to access Facebook services" URL "http://projects.kde.org/libkfbapi" TYPE OPTIONAL PURPOSE "LibKFbAPI is required to build Akonadi resources to access Facebook's contacts, events, notes and posts" )

if(LibKGAPI2_FOUND OR LibKFbAPI_FOUND)
  find_package(QJSON)
  set_package_properties(QJSON PROPERTIES DESCRIPTION "Qt library for handling JSON data" URL "http://qjson.sourceforge.net/" TYPE REQUIRED PURPOSE "Required to build the Google and Facebook resources")
endif()

# Xsltproc
find_package(Xsltproc)
set_package_properties(Xsltproc PROPERTIES DESCRIPTION "XSLT processor from libxslt" TYPE REQUIRED PURPOSE "Required to generate D-Bus interfaces for all Akonadi resources.")

############### search programs & libraries used by kdepim-runtime ###############
if(Strigi_FOUND)
  find_library(STRIGIQTDBUSCLIENT_LIBRARY NAMES strigiqtdbusclient
    PATHS
    /usr/lib
    /usr/local/lib
    ${LIB_INSTALL_DIR}
    $ENV{STRIGI_HOME}/lib
  )
  if(STRIGIQTDBUSCLIENT_LIBRARY)
    message(STATUS "Found the strigiqtdbusclient library.")
  endif()
  mark_as_advanced(STRIGIQTDBUSCLIENT_LIBRARY)
endif()

############### Load the CTest options ###############

# CMake is irritating and doesn't allow setting the tests timeout globally.
# Let's work around this. The global timeout is now 2 minutes.
set(_DartConfigFile "${CMAKE_BINARY_DIR}/DartConfiguration.tcl")
if(EXISTS ${_DartConfigFile})
  set(DartTestingTimeout "120")
  file(READ ${_DartConfigFile} _DartConfigFile_content)
  string(REGEX REPLACE "TimeOut: 1500" "TimeOut: ${DartTestingTimeout}" _DartConfigFile_content ${_DartConfigFile_content})
  file(WRITE ${_DartConfigFile} ${_DartConfigFile_content})
endif()

# CTestCustom.cmake has to be in the CTEST_BINARY_DIR.
# in the KDE build system, this is the same as CMAKE_BINARY_DIR.
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/CTestCustom.cmake ${CMAKE_CURRENT_BINARY_DIR}/CTestCustom.cmake)

option(KDEPIM_RUN_ISOLATED_TESTS "Run the isolated tests." FALSE)

############### Desktop vs. Mobile options ##############

option(KDEPIM_MOBILE_UI "Build UI for mobile devices instead of for desktops" FALSE)
if (KDEPIM_MOBILE_UI)
  add_definitions( -DKDEPIM_MOBILE_UI )
  if(NOT QT_QTDECLARATIVE_FOUND)
    message(FATAL_ERROR "The QtDeclarative library is required for building the mobile UI")
  endif()
endif ()

if(WINCE)
  set(LIBRARY_TYPE STATIC)
  add_definitions(-DKDEPIM_STATIC_LIBS)
else()
  set(LIBRARY_TYPE SHARED)
endif()

#FIXME: kde4_add_plugin doesn't have a parameter to build the plugins statically.
if (RUNTIME_PLUGINS_STATIC)
  set(SERIALIZER_TYPE STATIC)
endif ()

############### Enterprise build options #################

option(KDEPIM_ENTERPRISE_BUILD "Enable features specific to the enterprise branch, which are normally disabled. Also, it disables many components not needed for Kontact such as the Kolab client." FALSE)

# config-enterprise.h is needed for both ENTERPRISE_BUILD and BUILD_EVERYTHING
configure_file(config-enterprise.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-enterprise.h )

############### Needed commands before building anything ###############

include_directories(${kdepim-runtime_SOURCE_DIR} ${kdepim-runtime_BINARY_DIR} ${AKONADI_INCLUDE_DIR} ${Boost_INCLUDE_DIR} ${KDE4_INCLUDES} ${KDEPIMLIBS_INCLUDE_DIRS})
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")

############### Generate akonadi-config.h ###############

configure_file(akonadi-version.h.cmake "${kdepim-runtime_BINARY_DIR}/akonadi-version.h" @ONLY)


############### Macros ###############

# resource tests
macro( akonadi_add_resourcetest _testname _script )
  if ( ${EXECUTABLE_OUTPUT_PATH} )
    set( _exepath ${EXECUTABLE_OUTPUT_PATH} )
  else ()
    set( _exepath ${kdepim-runtime_BINARY_DIR}/resourcetester )
  endif ()
  if (WIN32)
    set(_resourcetester ${_exepath}/resourcetester.bat)
  else ()
    set(_resourcetester ${_exepath}/resourcetester)
  endif ()
  if (UNIX)
    set(_resourcetester ${_resourcetester}.shell)
  endif ()
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/${_script} ${CMAKE_CURRENT_BINARY_DIR}/${_script} COPYONLY)
  if (KDEPIM_RUN_ISOLATED_TESTS)
    add_test( akonadi-mysql-db-${_testname} akonaditest -c ${kdepim-runtime_SOURCE_DIR}/resourcetester/tests/unittestenv/config-mysql-db.xml ${_resourcetester} -c ${CMAKE_CURRENT_BINARY_DIR}/${_script} )
  endif ()
endmacro( akonadi_add_resourcetest )

############### Now, we add the components ###############

add_subdirectory(resources)
add_subdirectory(agents)
add_subdirectory(libkdepim-copy)
add_subdirectory(plugins)
add_subdirectory(accountwizard)
add_subdirectory(defaultsetup)

if (NOT WINCE)
add_subdirectory(xml)
add_subdirectory(resourcetester)
add_subdirectory(kioslave)
add_subdirectory(kcm)
add_subdirectory(tray)
add_subdirectory(migration)
if (KDEPIMLIBS_KRESOURCES_LIBS)
  add_subdirectory(kresources)
endif ()
endif()
if (QT_QTDECLARATIVE_FOUND)
  add_subdirectory(qml)
endif ()

#if(OPENSYNC_FOUND)
#  add_subdirectory(opensync)
#endif(OPENSYNC_FOUND)

############### Here we install some extra stuff  ###############

## install the MIME type spec file for KDEPIM specific MIME types
install(FILES kdepim-mime.xml DESTINATION ${XDG_MIME_INSTALL_DIR})
update_xdg_mimetypes(${XDG_MIME_INSTALL_DIR})

feature_summary(WHAT ALL
                     INCLUDE_QUIET_PACKAGES
                     FATAL_ON_MISSING_REQUIRED_PACKAGES
               )

=== debian/changelog ===
kdepim-runtime (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 14:20:29 +0100

kdepim-runtime (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Howard Chan <smartboyhw@gmail.com>  Fri, 06 Sep 2013 22:19:50 +0100

kdepim-runtime (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Aug 2013 00:11:55 +0100

kdepim-runtime (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release
  * Remove kubuntu_maildir_regression.diff now upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 19:29:24 +0100

kdepim-runtime (4:4.10.95-0ubuntu2) saucy; urgency=low

  * Add kubuntu_maildir_regression.diff from upstream, revert a
    commit which causes maildir regression - slow behaviour and
    duplicated mails.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 23 Jul 2013 14:10:21 +0100

kdepim-runtime (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release 
    - drop kubuntu_access_control.diff and kubuntu_no_crash_without_kolab.diff
      again. Fixed upstream

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 19 Jul 2013 12:32:16 +0000

kdepim-runtime (4:4.10.90-0ubuntu5) saucy; urgency=low

  * Make sure google resources are installed

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 08 Jul 2013 20:02:47 +0100

kdepim-runtime (4:4.10.90-0ubuntu4) saucy; urgency=low

  * Add kubuntu_access_control.diff kubuntu_no_crash_without_kolab.diff
    requested by Christian Mollekopf <mollekopf@kolabsys.com>

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 05 Jul 2013 16:41:27 +0100

kdepim-runtime (4:4.10.90-0ubuntu3) saucy; urgency=low

  * Add transitional package for akonadi-facebook

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 01 Jul 2013 15:26:49 +0100

kdepim-runtime (4:4.10.90-0ubuntu2) saucy; urgency=low

  * Add libkfbapi-dev to Build Deps to build facebook backend
  * Break/Replaces on akonadi-facebook

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 01 Jul 2013 14:41:56 +0100

kdepim-runtime (4:4.10.90-0ubuntu1) saucy; urgency=low

  [ Michał Zając ]
  * New upstream beta release
 
  [ Howard Chan ]
  * Removed 1 file and added 4 files to 
    kdepim-runtime.install
  * Added 1 lintian warning to 
    kdepim-runtime.lintian-overrides

 -- Howard Chan <smartboyhw@gmail.com>  Fri, 28 Jun 2013 18:10:39 +0100

kdepim-runtime (4:4.10.80-0ubuntu1) saucy; urgency=low

  [ Rohan Garg ]
  * New upstream release

  [ Howard Chan ]
  * Fixed the .install files 

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Jun 2013 01:11:11 +0100

kdepim-runtime (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  * New upstream bugfix release
    - Add libqtwebkit-dev, libqjson-dev, libkgapi-dev, libkolabxml-dev
      libkolab-dev, libcurl4-openssl-dev to build-depends.
    - Update install files

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 07 Jun 2013 00:28:12 +0100

kdepim-runtime (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Merge with Debian Unstable, remaining changes:
    - Keep versioned boost build-depends
    - Do not install the akonaditray .desktop file

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 23 May 2013 11:04:34 +0000

kdepim-runtime (4:4.10.2-3) experimental; urgency=low

  * Shuffle around build-deps to work around aptitude.
  * Take a patch from upstream to reduce the warnings from the nepomuk-feeder.

 -- Sune Vuorela <sune@debian.org>  Mon, 22 Apr 2013 08:49:22 +0200

kdepim-runtime (4:4.10.2-2) experimental; urgency=low

  [ Pino Toscano ]
  * Bump build dependencies according to the upstream requirements:
    - kdelibs5-dev >= 4:4.10
    - kdepimlibs5-dev >= 4:4.10.1
    - libakonadi-dev >= 1.8
    - shared-desktop-ontologies >= 0.10
  * Bump akonadi-server dependency to >= 1.8.

 -- Sune Vuorela <sune@debian.org>  Wed, 17 Apr 2013 22:57:05 +0200

kdepim-runtime (4:4.10.2-1) experimental; urgency=low

  * New upstream release
  * Update copyright file
  * Update install files
  * Update uploaders

 -- Sune Vuorela <sune@debian.org>  Tue, 26 Mar 2013 14:42:10 +0000

kdepim-runtime (4:4.8.4-1) experimental; urgency=low

  * New upstream release.
  * Team upload.

  [ George Kiagiadakis ]
  * Add myself to uploaders.

  [ Jan Losinski ]
  * Update install files.

  [ Modestas Vainius ]
  * Require KDE SC 4.8.4 for building.
  * Update lintian overrides.
  * Drop debian_set_library_version.diff patch, not needed.
  * Do not generate shlibs for usr/lib/libkdepim-runtime-dms-copy.so.

  [ José Manuel Santamaría Lema ]
  * Bump shared-desktop-ontologies build depend to 0.6.50.
  * Update installed files.

  [ Eshat Cakar ]
  * Bump kdelibs5-dev and kdepimlibs5-dev build dependencies to 4:4.8.
  * Update installed files in 4.8.
  * Add watch file.
  * Bump libakonadi-dev build dependency version to 1.7.2.

 -- Modestas Vainius <modax@debian.org>  Sun, 24 Jun 2012 14:28:48 +0300

=== debian/control ===
Source: kdepim-runtime
Section: x11
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>, Fathi Boudra <fabo@debian.org>, Modestas Vainius <modax@debian.org>,
 George Kiagiadakis <kiagiadakis.george@gmail.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.10),
 debhelper (>= 7.3.16), cmake, pkg-kde-tools (>= 0.12),
 kdepimlibs5-dev (>= 4:4.11.2), kdelibs5-dev (>= 4:4.11.2), libakonadi-dev (>= 1.8),
 libxml2-dev, xsltproc, libstrigiqtdbusclient-dev, libboost1.53-dev (>= 1.40.0-2),
 libstreamanalyzer-dev, shared-mime-info (>= 0.30), shared-desktop-ontologies (>= 0.10),
 nepomuk-core-dev, libkolabxml-dev, libkolab-dev (>= 0.2), libkgapi-dev (>= 0.4.3),
 libqjson-dev, libcurl4-openssl-dev, libqtwebkit-dev, libkfbapi-dev
Standards-Version: 3.9.3
Homepage: http://pim.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdepim-runtime
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdepim-runtime
X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdepim-runtime.git
X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kdepim-runtime.git

Package: kdepim-runtime
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kdepimlibs-kio-plugins, akonadi-server (>= 1.8)
Replaces: akonadi-kde, libmaildir4, akonadi-facebook (<< 4:4.10.90-0ubuntu3)
Breaks: akonadi-kde, libmaildir4, kdepimlibs5 (<< 4:4.4), akonadi-facebook (<< 4:4.10.90-0ubuntu3)
Description: runtime components for Akonadi KDE
 This package contains Akonadi agents written using KDE Development Platform
 libraries.
 Any package that uses Akonadi should probably pull this in as a dependency.
 The kres-bridges is also parts of this package.
 .
 This package is part of the kdepim-runtime module.

Package: kdepim-runtime-dbg
Section: debug
Priority: extra
Architecture: any
Replaces: kdepim-dbg (<< 4:4.4)
Breaks: kdepim-dbg (<< 4:4.4)
Depends: ${misc:Depends}, kdepim-runtime (= ${binary:Version})
Description: debugging files for Akonadi KDE runtime components
 This package contains debugging symbols associated with kdepim-runtime.
 They will automatically be used by gdb for debugging issues related to
 components of kdepim-runtime.
 .
 This package is part of the kdepim-runtime module.

##########################
# Transitional Packages. #
##########################
# Package last shipped in 13.04, longest supported release is 12.10
# Don't remove before 14.04 ( next LTS )

Package: akonadi-facebook
Architecture: all
Section: oldlibs
Priority: extra
Depends: kdepim-runtime
Description: Facebook resource for Akonadi -- transitional package
 This Akonadi module imports calendar information from Facebook
 for use in Kontact.
 .
 This is a transitional package for kdepim-runtime and can be safely removed
 after installation.

## kdepim-runtime 4.11.3

=== debian/changelog ===
kdepim-runtime (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.
  * Refresh patches.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 10 Nov 2013 00:48:22 +0100

kdepim-runtime (4:4.11.2-2) experimental; urgency=low

  * Update build-dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 07 Oct 2013 14:05:25 +0200

kdepim-runtime (4:4.11.2-1) experimental; urgency=low

  * New upstream release.
  * Update build-dependencies.
  * Update install files.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 Oct 2013 13:20:15 +0200

kdepim-runtime (4:4.10.5-2) unstable; urgency=low

  * Team upload.

  [ Pino Toscano ]
  * Enable the kolabproxy Akonadi resource: (Closes: #705406)
    - add the libkolabxml-dev and libkolab-dev build dependencies
    - update kdepim-runtime.install with the newly installed files
    - make sure to force the minimum libkolab version to 0.4.2-7, as it
      provides a wanted bugfix
  * Install the akonaditray icons.
  * Remove handling of libkdepim-runtime-dms-copy.so, no more shipped.
  * Update lintian overrides.
  * Disable the build of tests, they are not run anyway.
  * Enable the Google Akonadi resource:
    - add the libkgapi-dev and libqtwebkit-dev build dependencies
    - update kdepim-runtime.install with the newly installed files

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 09 Sep 2013 09:59:51 -0300

kdepim-runtime (4:4.10.5-1) unstable; urgency=low

  * New upstream release.
  * Temporarily disable libkgapi build-dep.
  * Remove libkgapi based services.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Jul 2013 15:39:52 +0200

kdepim-runtime (4:4.10.4-1) experimental; urgency=low

  * New upstream release.
  * Update patches.
  * Bump debhelper build-dep and compat to 9.
  * Bump Standards-Version to 3.9.4.
  * Update vcs fields.
  * Add myself to uploaders.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 16:18:57 +0200

=== debian/control ===
Source: kdepim-runtime
Section: x11
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.11),
 debhelper (>= 9), cmake, pkg-kde-tools (>= 0.12),
 kdepimlibs5-dev (>= 4:4.11.3), kdelibs5-dev (>= 4:4.11),
 libakonadi-dev (>= 1.9.80),
 libxml2-dev, xsltproc, libstrigiqtdbusclient-dev, libboost-dev (>= 1.40.0-2),
 libstreamanalyzer-dev, shared-mime-info (>= 0.30),
 shared-desktop-ontologies (>= 0.11),
 nepomuk-core-dev (>= 4:4.11), libqjson-dev, libsoprano-dev (>= 2.9),
 libkolabxml-dev, libkolab-dev (>= 0.4.2-7~),
 libkgapi-dev (>= 1.9.81), libqtwebkit-dev,
 libx11-dev,
 pkg-config
Standards-Version: 3.9.4
Homepage: http://pim.kde.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kdepim-runtime.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kdepim-runtime.git

Package: kdepim-runtime
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libkolab0(>= 0.4.2-7~),
 kdepimlibs-kio-plugins,
 akonadi-server (>= 1.8)
Replaces: akonadi-kde, libmaildir4
Breaks: akonadi-kde, libmaildir4, kdepimlibs5 (<< 4:4.4)
Description: runtime components for Akonadi KDE
 This package contains Akonadi agents written using KDE Development Platform
 libraries.
 Any package that uses Akonadi should probably pull this in as a dependency.
 The kres-bridges is also parts of this package.
 .
 This package is part of the kdepim-runtime module.

Package: kdepim-runtime-dbg
Section: debug
Priority: extra
Architecture: any
Replaces: kdepim-dbg (<< 4:4.4)
Breaks: kdepim-dbg (<< 4:4.4)
Depends: ${misc:Depends}, kdepim-runtime (= ${binary:Version})
Description: debugging files for Akonadi KDE runtime components
 This package contains debugging symbols associated with kdepim-runtime.
 They will automatically be used by gdb for debugging issues related to
 components of kdepim-runtime.
 .
 This package is part of the kdepim-runtime module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

.PHONY: override_dh_auto_test

override_dh_auto_configure:
	$(overridden_command) -- -DKDE4_BUILD_TESTS=false

override_dh_strip:
	$(overridden_command) --dbg-package=kdepim-runtime-dbg

## kdepim-runtime 4.11.5

=== debian/changelog ===
kdepim-runtime (4:4.11.5-0ubuntu0.1) saucy; urgency=medium

  * New upstream bugfix release (LP: #1266285)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 16 Jan 2014 14:36:37 +0100

kdepim-runtime (4:4.11.3-0ubuntu0.1) saucy; urgency=low

  * New upstream bugfix release (LP: #1247235)

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 29 Nov 2013 15:48:44 +0000

=== debian/control ===
Source: kdepim-runtime
Section: x11
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>, Fathi Boudra <fabo@debian.org>, Modestas Vainius <modax@debian.org>,
 George Kiagiadakis <kiagiadakis.george@gmail.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.10),
 debhelper (>= 7.3.16), cmake, pkg-kde-tools (>= 0.12),
 kdepimlibs5-dev (>= 4:4.11.5), kdelibs5-dev (>= 4:4.11.5), libakonadi-dev (>= 1.8),
 libxml2-dev, xsltproc, libstrigiqtdbusclient-dev, libboost1.53-dev (>= 1.40.0-2),
 libstreamanalyzer-dev, shared-mime-info (>= 0.30), shared-desktop-ontologies (>= 0.10),
 nepomuk-core-dev, libkolabxml-dev, libkolab-dev (>= 0.2), libkgapi-dev (>= 0.4.3),
 libqjson-dev, libcurl4-openssl-dev, libqtwebkit-dev, libkfbapi-dev
Standards-Version: 3.9.3
Homepage: http://pim.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdepim-runtime-13.10
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdepim-runtime-13.10
X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdepim-runtime.git
X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kdepim-runtime.git

Package: kdepim-runtime
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kdepimlibs-kio-plugins, akonadi-server (>= 1.8)
Replaces: akonadi-kde, libmaildir4, akonadi-facebook (<< 4:4.10.90-0ubuntu3)
Breaks: akonadi-kde, libmaildir4, kdepimlibs5 (<< 4:4.4), akonadi-facebook (<< 4:4.10.90-0ubuntu3)
Description: runtime components for Akonadi KDE
 This package contains Akonadi agents written using KDE Development Platform
 libraries.
 Any package that uses Akonadi should probably pull this in as a dependency.
 The kres-bridges is also parts of this package.
 .
 This package is part of the kdepim-runtime module.

Package: kdepim-runtime-dbg
Section: debug
Priority: extra
Architecture: any
Replaces: kdepim-dbg (<< 4:4.4)
Breaks: kdepim-dbg (<< 4:4.4)
Depends: ${misc:Depends}, kdepim-runtime (= ${binary:Version})
Description: debugging files for Akonadi KDE runtime components
 This package contains debugging symbols associated with kdepim-runtime.
 They will automatically be used by gdb for debugging issues related to
 components of kdepim-runtime.
 .
 This package is part of the kdepim-runtime module.

##########################
# Transitional Packages. #
##########################
# Package last shipped in 13.04, longest supported release is 12.10
# Don't remove before 14.04 ( next LTS )

Package: akonadi-facebook
Architecture: all
Section: oldlibs
Priority: extra
Depends: kdepim-runtime
Description: Facebook resource for Akonadi -- transitional package
 This Akonadi module imports calendar information from Facebook
 for use in Kontact.
 .
 This is a transitional package for kdepim-runtime and can be safely removed
 after installation.

## kdepim-runtime 4.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -38,7 +38,7 @@
     set(KDEPIM_RUNTIME_DEV_VERSION "")
 endif()
 
-set(KDEPIM_RUNTIME_VERSION "4.11.2${KDEPIM_RUNTIME_DEV_VERSION}")
+set(KDEPIM_RUNTIME_VERSION "4.12.3${KDEPIM_RUNTIME_DEV_VERSION}")
 
 ############### search-related options ################
 option(KDEPIM_NO_NEPOMUK "Build without nepomuk dependency" FALSE)
@@ -52,11 +52,11 @@
 ############### search packages used by KDE ###############
 
 # Kdelibs
-find_package(KDE4 4.10.0 REQUIRED)
+find_package(KDE4 4.11.3 REQUIRED)
 include(KDE4Defaults)
 
 # KdepimLibs
-find_package(KdepimLibs 4.11.0)
+find_package(KdepimLibs 4.12.3)
 set_package_properties(KdepimLibs PROPERTIES DESCRIPTION "The KDEPIM libraries" URL "http://www.kde.org" TYPE REQUIRED)
 
 #Boost
@@ -73,10 +73,6 @@
 find_package(SharedMimeInfo 0.30)
 set_package_properties(SharedMimeInfo PROPERTIES DESCRIPTION "The shared-mime-info utility" URL "http://freedesktop.org/wiki/Software/shared-mime-info" TYPE REQUIRED PURPOSE "Information about filetypes")
 
-# libxml
-find_package(LibXml2)
-set_package_properties(LibXml2 PROPERTIES DESCRIPTION "The LibXML2 library" URL "http://xmlsoft.org" TYPE OPTIONAL PURPOSE "Needed for building the knut Akonadi resource.")
-
 if(NOT KDEPIM_NO_NEPOMUK)
   find_package(SharedDesktopOntologies 0.11)
   set_package_properties(SharedDesktopOntologies PROPERTIES DESCRIPTION "Shared Desktop Ontologies" URL "http://sourceforge.net/projects/oscaf/" TYPE REQUIRED PURPOSE "Ontologies necessary for the Nepomuk semantic desktop")
@@ -96,7 +92,7 @@
 endif()
 
 # Libkolab
-find_package(Libkolab 0.2 QUIET CONFIG)
+find_package(Libkolab 0.4 QUIET CONFIG)
 set_package_properties(Libkolab PROPERTIES DESCRIPTION "libkolab" URL "http://mirror.kolabsys.com/pub/releases" TYPE OPTIONAL PURPOSE "The Kolab Format libraries are required to build the Kolab Groupware Resource")
 
 # Libkolabxml
@@ -225,7 +221,6 @@
 add_subdirectory(defaultsetup)
 
 if (NOT WINCE)
-add_subdirectory(xml)
 add_subdirectory(resourcetester)
 add_subdirectory(kioslave)
 add_subdirectory(kcm)

=== debian/changelog ===
kdepim-runtime (4:4.12.3-0ubuntu1~ubuntu12.04.4~ppa1) precise; urgency=low

  * precise backport

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 06 Mar 2014 15:32:55 +0100

kdepim-runtime (4:4.12.3-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 28 Feb 2014 20:41:01 +0100

kdepim-runtime (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Feb 2014 23:52:46 +0000

kdepim-runtime (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:10:50 +0000

kdepim-runtime (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 16:51:09 +0000

kdepim-runtime (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 12:49:27 +0000

kdepim-runtime (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 17:58:11 +0100

kdepim-runtime (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:37:07 +0100

kdepim-runtime (4:4.11.2-0ubuntu2) trusty; urgency=low

  * Bump to Boost 1.54.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Sat, 26 Oct 2013 22:26:43 +0100

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,15 @@
  George Kiagiadakis <kiagiadakis.george@gmail.com>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  debhelper (>= 7.3.16), cmake, pkg-kde-tools (>= 0.12),
- kdepimlibs5-dev (>= 4:4.11.5), kdelibs5-dev (>= 4:4.11.5), libakonadi-dev (>= 1.8),
- libxml2-dev, xsltproc, libstrigiqtdbusclient-dev, libboost1.53-dev (>= 1.40.0-2),
+ kdepimlibs5-dev (>= 4:4.12.3), kdelibs5-dev (>= 4:4.12.3), libakonadi-dev (>= 1.8),
+ libxml2-dev, xsltproc, libstrigiqtdbusclient-dev, libboost1.48-dev (>= 1.40.0-2),
  libstreamanalyzer-dev, shared-mime-info (>= 0.30), shared-desktop-ontologies (>= 0.10),
  nepomuk-core-dev, libkolabxml-dev, libkolab-dev (>= 0.2), libkgapi-dev (>= 0.4.3),
  libqjson-dev, libcurl4-openssl-dev, libqtwebkit-dev, libkfbapi-dev
 Standards-Version: 3.9.3
 Homepage: http://pim.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdepim-runtime-13.10
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdepim-runtime-13.10
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdepim-runtime
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdepim-runtime
 X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdepim-runtime.git
 X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kdepim-runtime.git
